Bug 1658691 - systemd logs useless seccomp related messages in debug mode
Summary: systemd logs useless seccomp related messages in debug mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: systemd
Version: 8.0
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: 8.0
Assignee: systemd-maint
QA Contact: Frantisek Sumsal
Marie Dolezelova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-12 16:48 UTC by Michal Sekletar
Modified: 2019-11-05 22:24 UTC (History)
7 users (show)

Fixed In Version: systemd-239-15.el8
Doc Type: Bug Fix
Doc Text:
.`systemd` in debug mode no longer produces unnecessary log messages When using the `systemd` system and service manager in debug mode, `systemd` previously produced unnecessary and harmless log messages that started with: "Failed to add rule for system call ..." With this update, `systemd` has been fixed to no longer produce these unnecessary debug messages.
Clone Of:
Environment:
Last Closed: 2019-11-05 22:24:37 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3592 None None None 2019-11-05 22:24:56 UTC

Description Michal Sekletar 2018-12-12 16:48:54 UTC
Description of problem:
systemd in debug mode logs messages like,

[    1.625335] systemd[146]: Failed to add rule for system call set_thread_area() / 205, ignoring: Numerical argument out of domain
[    1.625366] systemd[146]: Failed to add rule for system call signal() / -10055, ignoring: Numerical argument out of domain
[    1.625421] systemd[146]: Failed to add rule for system call olduname() / -10038, ignoring: Numerical argument out of domain
[    1.625495] systemd[146]: Failed to add rule for system call lstat64() / -10028, ignoring: Numerical argument out of domain
[    1.625522] systemd[146]: Failed to add rule for system call getresuid32() / -10020, ignoring: Numerical argument out of domain


Version-Release number of selected component (if applicable):
systemd-239-10.el8

How reproducible:
always

Steps to Reproduce:
1. add "debug" to kernel cmdline
2. reboot
3. journalctl -b _PID=1

Actual results:
Messages similar to above present in the log.

Expected results:
No such noise in the log.

Additional info:
https://github.com/systemd/systemd/commit/b54f36c604472ffe08830ec4306fa2885b4a5424

Comment 5 Whitney Chadwick 2019-01-10 20:21:26 UTC
Set exception- per Jan10th blocker/exception meeting; wait for 8.1

Comment 9 Brendan Conoboy 2019-01-24 16:46:48 UTC
The blocker & exception review process declined this bug for an exception in the current release.  Consequently the following action is being taken:

1. The request for exception is being cleared.
2. The Internal Target Release is being cleared.

All Acks have been retained, meaning you can immediately complete the work in a later release without an exception.  To do this take the following actions:

1. Set the Internal Target Release to the version where you will complete the work.
2. Ask Release Engineering to create the branch if it does not already exist.

Comment 11 Lukáš Nykrýn 2019-05-02 15:26:42 UTC
fix merged to staging branch -> https://github.com/lnykryn/systemd-rhel/pull/256 -> post

Comment 19 errata-xmlrpc 2019-11-05 22:24:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3592


Note You need to log in before you can comment on or make changes to this bug.